#! /bin/sh
#
#------------------------------------------------------------------------------
# /tmp/install.sh :	   setting up keychain on EISFAIR
#
# last edited:             30.04.2005
#
# Copyright (c) 2005       Gunther Schmidt
#	                   1012-621@online.de
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License, or
# (at your option) any later version.
#------------------------------------------------------------------------------

RETURN='pass'
HOST=$(hostname)

CHECK_STATE ()
{
if [ $RETURN ]; then
	colecho "done!" gn
else
	RETURN='pass'
	colecho "failed!" br x brbl
fi
}


echo -n "...creating links... "
ln -sf /etc/init.d/keychain /etc/rc2.d/S52keychaind || RETURN=''
ln -sf /etc/init.d/keychain /etc/rc2.d/K50keychaind || RETURN=''
CHECK_STATE

echo -n "...creating menu entries... "
/var/install/bin/add-menu   /var/install/menu/setup.services.menu   \
			   /var/install/bin/setup.services.keychain   \
			   "Keychain - key management for ssh-agent" || RETURN=''
CHECK_STATE

echo -n "...addin entry to /root/.bash_profile... "
echo "test ! -e /root/.keychain/${HOST}-sh || source /root/.keychain/${HOST}-sh" >> /root/.bash_profile || RETURN=''
CHECK_STATE

echo;echo -n "...setting access rights for the main-package... "
chmod 600 /etc/config.d/keychain || RETURN=''
chmod 755 /usr/bin/keychain || RETURN=''
chmod 755 /usr/share/doc/keychain || RETURN=''
chmod 644 /usr/share/doc/keychain/* || RETURN=''
chmod 755 /var/install/bin/*keychain* || RETURN=''
chmod 700 /var/install/config.d/keychain.sh || RETURN=''
chmod 700 /var/install/deinstall/keychain || RETURN=''
chmod 644 /var/install/menu/*keychain* || RETURN=''
chmod 644 /var/install/packages/keychain || RETURN=''
CHECK_STATE

echo -n "...removing /tmp/preinstall.sh... "
rm -f /tmp/preinstall.sh || RETURN=''
CHECK_STATE

echo -n "...removing /tmp/install.sh... "
rm -f /tmp/install.sh || RETURN=''
CHECK_STATE

echo
/var/install/bin/anykey
/var/install/bin/keychain-edit
/etc/init.d/keychain load
