#! /bin/sh
#
#------------------------------------------------------------------------------
# /tmp/preinstall.sh :	   setting up keychain - key management for
#                          ssh-agent on EISFAIR.
#
# last edited:             21.04.2005
#
# Copyright (c) 2005       Gunther Schmidt
#	                   1012-621@online.de
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License, or
# (at your option) any later version.
#------------------------------------------------------------------------------
	
CONFFILE='/etc/config.d/keychain'
RETURN='pass'

CHECK_STATE ()
{
if [ $RETURN ]; then
	colecho "done!" gn
else
	RETURN='pass'
	colecho "failed!" br x brbl
fi
}

clrhome  

if [ -e ${CONFFILE} ]; then
    colecho "Found a previous installed version of keychain..." gn
    echo -n "...creating BACKUP of config-file... "
    cp -f ${CONFFILE} /tmp/keychain.pre || RETURN=''
    CHECK_STATE
	
    echo "...executing the deinstall-script for keychain..."
	
    echo
    /var/install/bin/anykey
    /var/install/deinstall/keychain

	
    . /tmp/keychain.pre
    echo
else 
    EXECUTE_ON_STARTUP='no'
    LOAD_KEY_N='1'
    LOAD_KEY_1='/root/.ssh/mykey'
    echo
        
fi

colecho "Installing Keychain - key management for ssh-agent on Eisfair..." gn
echo -n "...generating EISFAIR config-file... "
(echo "#------------------------------------------------------------------------------"
 echo "# /etc/config.d/keychain   configuration file for keychain"
 echo "#                          key management for ssh-agent on EISFAIR"
 echo "#"
 echo "#                          - for keychain release 2.5.3.1"
 echo "#"
 echo "# Author:                  Gunther Schmidt"
 echo "#                          1012-621@online.de"
 echo "#"
 echo "#------------------------------------------------------------------------------"
 echo
 echo "EXECUTE_ON_STARTUP='"$EXECUTE_ON_STARTUP"'"
 echo "LOAD_KEY_N='"$LOAD_KEY_N"'"
) > $CONFFILE || RETURN=''

n=1
while [ $n -le $LOAD_KEY_N ]; do
	eval WORD='$LOAD_KEY_'$n
	echo "LOAD_KEY_"$n"='$WORD'" >> $CONFFILE || RETURN=''

	let n+=1
done
CHECK_STATE

sleep 5
