#!/bin/bash
#------------------------------------------------------------------------------
# /var/install/config.d/apcupsd.sh	- configuration generator script for 
#					  APC UPS Power Management on EISFAIR
# 
# last edited:             21.04.2005
#
# Copyright (c) 2005       Gunther Schmidt
#	                   1012-621@online.de
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License, or
# (at your option) any later version.
#------------------------------------------------------------------------------

. /etc/config.d/keychain

CONFFILE='/etc/keychain.conf'
OUTFILE='/tmp/keychain.tmp'
RETURN='pass'

CHECK_STATE ()
{
if [ $RETURN ]; then
	colecho "done!" gn
else
	RETURN='pass'
	colecho "failed!" br x brbl
fi
}

clrhome

colecho "Generating /etc/config.d/keychain.conf..." gn
echo -n "...checking for old temp.-file... "
if [ -e ${OUTFILE} ]; then
	rm -f $OUTFILE || RETURN=''
fi
CHECK_STATE

echo -n "...writing header to temp.-file... "
(echo "#------------------------------------------------------------------------------"
 echo "# Config-file for keychain generated by /var/install/config.d/keychain.sh"
 echo "#"
 echo "# Do not edit this file, edit keychain configuration"
 echo "#------------------------------------------------------------------------------"
 echo " "
 echo " "
) > $OUTFILE || RETURN=''
CHECK_STATE

n=1
while [ $n -le $SSH_CLIENT_N ]; do
	eval WORD='$SSH_CLIENT_'$n'_URL'
	echo "SSH_CLIENT_"$n"_URL='$WORD'" >> $OUTFILE || RETURN=''

	eval WORD='$SSH_CLIENT_'$n'_KEY'
	echo "SSH_CLIENT_"$n"_KEY='$WORD'" >> $OUTFILE || RETURN=''

	eval WORD='$SSH_CLIENT_'$n'_CMD'
	echo "SSH_CLIENT_"$n"_CMD='$WORD'" >> $OUTFILE || RETURN=''
	let n+=1
done
CHECK_STATE

echo -n "...setting access-rights... "
#chmod 644 /etc/apcupsd/ssh_clients.conf || RETURN=''
CHECK_STATE

echo
echo -n "...removing temp.-file... "
rm -f ${OUTFILE} || RETURN=''
CHECK_STATE

